Bug 1782998 - Fix build of ansible-operator for multi-arch [4.2]
Summary: Fix build of ansible-operator for multi-arch [4.2]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Multi-Arch
Version: 4.2.z
Hardware: s390x
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.2.z
Assignee: Yaakov Selkowitz
QA Contact: Barry Donahue
URL:
Whiteboard:
Depends On: 1782997
Blocks: OCP/Z_4.2
TreeView+ depends on / blocked
 
Reported: 2019-12-12 18:59 UTC by Yaakov Selkowitz
Modified: 2020-02-28 09:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1782997
Environment:
Last Closed: 2020-01-22 10:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ocp-release-operator-sdk pull 31 None closed Bug 1782998: Build natively on all arches 2020-07-24 20:39:38 UTC
Red Hat Product Errata RHBA-2020:0107 None None None 2020-01-22 10:46:57 UTC

Description Yaakov Selkowitz 2019-12-12 18:59:30 UTC
+++ This bug was initially created as a clone of Bug #1782997 +++

The ansible-operator Dockerfile specifies -x86_64-linux-gnu in the make target.  This causes GOARCH=amd64 to be defined during the compile, resulting in exec format errors when built on other arches.

Comment 2 Barry Donahue 2020-01-14 11:43:25 UTC
  David, can we verify this BZ?

Comment 7 errata-xmlrpc 2020-01-22 10:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0107


Note You need to log in before you can comment on or make changes to this bug.